- 2014. május 27., 17:39
Egy Regsitry bejegyzés átírásával a Windows XP akár 2019-ig kaphat biztonsági frissítéseket. Legalábbis részben.
Hirdetés


some text

Mindezt az teszi lehetővé, hogy a Microsoft a Windows XP alapjaira építkezve kiadott egy másik operációs rendszert is, beágyazott rendszerek (pl. bankautomaták, terminálok, stb.) számára, amelynek legutolsó verziója, a Windows Embedded POSReady 2009 további öt évig, 2019-it élvezi a szoftvergyártó terméktámogatását. A trükk alapját az képezi, hogy a frissítéseket kereső és letöltő szoftver a Windows verzióját a Rendszerleíró adatbázisból, vagyis a Registryből olvassa ki, így egy egyszerű bejegyzés létrehozásával könnyen elhitethetjük a központtal, hogy valójában nem is egy Windows XP, hanem egy Windows Embedded POSReady 2009 rendszerhez keressük a frissítéseket. Ehhez csupán létre kell hozni egy Installed nevű, DWORD típusú bejegyzést 1-es értékkel a HKEY_LOCAL_MACHINE/SYSTEM/WPA/PosReady mappában. Alternatívaként hozzunk létre egy .reg kiterjesztésű fájlt, másoljuk bele az alábbi három sort, és futtassuk:
Windows Registry Editor Version 5.00
[HKEY_LOCAL_MACHINE\SYSTEM\WPA\PosReady]
"Installed"=dword:00000001

A megoldás erősen sufni tuning jellegű, és ez valóban így is van, akadnak is gondok vele rendesen. Például rögtön mindjárt az, hogy ez a trükk nem működik a Windows XP 64 bites változatával (de van megoldás, itt). Ennél is fontosabb azonban, hogy a frissítések valójában nem a Windows XP-hez készültek, hanem egy ahhoz nagyon hasonló, de lecsupaszított rendszerhez. Ezért, bár a frissítések telepítésével valószínűleg nem lesz gondunk, nem tudhatjuk, hogy a patch a Windows XP-n is befoltoz-e minden lyukat, és persze azt sem, hogy nem hoz-e létre esetleg újabba(ka)t. És könnyen lehet, hogy olyan biztonsági hibára is fény derül, ami a Windows Embeddedet nem érinti, ilyenkor a Microsoft nyilván javítást sem fog készíteni. Éppen ezért nagyon nagy hiba lenne azt hinni, hogy aki ismét a kerülőutat választja, az továbbra is biztonságban van; a hamis biztonságérzet pedig adott esetben akár még rosszabb is lehet, mint az, ha tudjuk, hogy nem vagyunk biztonságban.

A Microsoft egyébként már ki is adott egy nyilatkozatot, amiben figyelmeztet, hogy: „Ezek a biztonsági mentések eredetileg nem a Windows XP-hez készültek, hanem a Windows Embedded illetve Windows Server 2003 rendszerekhez, így a Windows XP-t használókat nem védik teljesen. A frissítések telepítése emellett önmagában is biztonsági kockázatot jelent, és a számítógép stabil működését is veszélyezteti, mert a javításokat Windows XP-vel nem teszteltük.” Nem túl meglepő módon a Microsoft azt javasolja, hogy aki továbbra is biztonságban szeretné tudni gépét, az váltson Windows 7-re vagy Windows 8.1-re. A Microsoft egyébként valószínűleg hamarosan lépni fog az ügyben, és a frissítéseket terjesztő szerverek működését úgy fogja módosítani, hogy a Regsitry trükk ne működjék – és ez most elsősorban nem a vállalat, hanem a felhasználók érdekei miatt fog megtörténni.

Címkék

Ezek is érdekelhetnek

2012. december 12., 13:36
2012. december 7., 12:00
2013. december 2., 09:00
Hozzászólások